Telegram MethodsMessages
messages.translateRichMessage
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.translateRichMessage" \ -H "Content-Type: application/json" \ -d '{ "params": { "toLang": "string" } }'{ "result": { "_": "messages.translatedRichMessage", "result": [ { "_": "richMessage", "rtl": true, "part": true, "blocks": [ { "_": "pageBlockUnsupported" } ], "photos": [ { "_": "photoEmpty", "id": "string" } ], "documents": [ { "_": "documentEmpty", "id": "string" } ] } ] }}